> ## Documentation Index
> Fetch the complete documentation index at: https://developers.phrase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available connectors

> Returns all Bifrost-compatible connectors you have configured.



## OpenAPI

````yaml /openapi/phrase-connectors.json get /connectors/v1
openapi: 3.0.1
info:
  title: Connectors API
  description: Connectors API documentation
  version: '1.0'
servers:
  - url: https://eu.phrase.com/connectors/
    description: The API server for EU data center.
  - url: https://us.phrase.com/connectors/
    description: The API server for US data center.
security:
  - bearerAuth: []
tags:
  - name: Contentful
    description: Perform operations using the Contentful connector.
paths:
  /connectors/v1:
    get:
      tags:
        - Connectors
      summary: List available connectors
      description: Returns all Bifrost-compatible connectors you have configured.
      operationId: getAllConnectors
      responses:
        '200':
          description: Success
          headers:
            X-ActionId:
              description: >
                A logging ID of the request. It is propagated through Phrase
                systems, making it easier to connect logs from various services.

                If no ActionId is sent with a request, one will be generated by
                Bifrost and returned with the response.
              style: simple
              schema:
                type: string
          content:
            application/json:
              examples:
                Response:
                  description: Response
                  value:
                    connectors:
                      - type: CONTENTFUL2
                        connectorUuid: 2ed19eb5-d26a-489d-9a4e-739027dddff3
                        name: My Contentful Connector
                      - type: CONTENTFUL2
                        connectorUuid: dca0657d-6877-460c-8b6d-484184w451fa
                        name: My other Contentful Connector
        4XX:
          description: Error
          headers:
            X-ActionId:
              description: >
                A logging ID of the request. It is propagated through Phrase
                systems, making it easier to connect logs from various services.

                If no ActionId is sent with a request, one will be generated by
                Bifrost and returned with the response.
              style: simple
              schema:
                type: string
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ConnectorsListResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ConnectorsListResponse:
      type: object
      properties:
        connectors:
          type: array
          items:
            $ref: '#/components/schemas/ConnectorResponse'
    ConnectorResponse:
      type: object
      properties:
        type:
          type: string
          enum:
            - CONTENTFUL2
            - UNKNOWN
        connectorUuid:
          type: string
        name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token created by calling Phrase API /oauth/token endpoint.

````